# Method: accounts.advertisers.list

- [HTTP request](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.advertisers/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.advertisers/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.advertisers/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.advertisers/list#body.request_body)
- [Response body](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.advertisers/list#body.response_body)
  - [JSON representation](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.advertisers/list#body.ListAccountAdvertisersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.advertisers/list#body.aspect)

Lists all advertisers under an account.

### HTTP request

`GET https://mmmdata.googleapis.com/v0/{parent=accounts/*}/advertisers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent account that owns the advertiser associations to retrieve. Format: `accounts/{account}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of advertisers to return. The service may return fewer than this value. If unspecified, at most 50 advertisers will be returned. The maximum value is 50; values above 50 will be coerced to 50. |
| `pageToken` | `string` Optional. A page token, received from a previous `advertisers.list` call. Provide this to retrieve the subsequent page. If this is not provided, then the first page of results is returned. When paginating, all other parameters provided to `advertisers.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response for AccountService.ListAccountAdvertisers.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "accountAdvertisers": [ { object (`https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.advertisers#AccountAdvertiser`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `accountAdvertisers[]` | ``object (`https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.advertisers#AccountAdvertiser`)`` The advertisers matching the request. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/mmm_data`
- `https://www.googleapis.com/auth/mmm_data.readonly`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).